commit 03ccfc8b9d2d42f5a1d42a1b78977a35623d9aad
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Jan 18 01:18:39 2022

    Daily bump.

diff --git a/contrib/ChangeLog b/contrib/ChangeLog
index 89050a90aae..e82162a0363 100644
--- a/contrib/ChangeLog
+++ b/contrib/ChangeLog
@@ -1,3 +1,10 @@
+2022-01-17  Martin Liska  <mliska@suse.cz>
+
+	Backported from master:
+	2022-01-17  Martin Liska  <mliska@suse.cz>
+
+	* git-backport.py: Support renaming of .cc files.
+
 2021-11-08  Martin Liska  <mliska@suse.cz>
 
 	* gcc-changelog/git_check_commit.py: Sync from master.
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 2ee45af2ad0..bd33f3024dd 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220117
+20220118
diff --git a/gcc/c-family/ChangeLog b/gcc/c-family/ChangeLog
index 6517df04dac..95f9129182c 100644
--- a/gcc/c-family/ChangeLog
+++ b/gcc/c-family/ChangeLog
@@ -1,3 +1,27 @@
+2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2022-01-03  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/103758
+	* c-format.c (check_tokens): Accept "decl-specifier*".
+
+2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	Revert:
+	2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/103758
+	* c-format.c (check_tokens): Accept "decl-specifier*".
+
+2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2022-01-03  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/103758
+	* c-format.c (check_tokens): Accept "decl-specifier*".
+
 2021-12-16  Martin Sebor  <msebor@redhat.com>
 
 	PR c/101289
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 7bf252285c0..83ea0589dff 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,30 @@
+2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2022-01-03  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/103758
+	* parser.c (cp_parser_decl_specifier_seq): Replace %<decl-specifier%>
+	with %qD.
+
+2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	Revert:
+	2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/103758
+	* parser.c (cp_parser_decl_specifier_seq): Replace %<decl-specifier%>
+	with %qD.
+
+2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2022-01-03  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/103758
+	* parser.c (cp_parser_decl_specifier_seq): Replace %<decl-specifier%>
+	with %qD.
+
 2022-01-12  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index f02c8d56b44..305641f4a6f 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,13 @@
+2022-01-17  Mikael Morin  <mikael@gcc.gnu.org>
+
+	Backported from master:
+	2022-01-09  Mikael Morin  <mikael@gcc.gnu.org>
+
+	PR fortran/103789
+	* trans-array.c (arg_evaluated_for_scalarization): Add MASKL, MASKR,
+	SCAN and VERIFY to the list of intrinsics whose KIND argument is to be
+	ignored.
+
 2022-01-16  Mikael Morin  <mikael@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 21145ab5e49..e8c4cedbce2 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,27 @@
+2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2022-01-03  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/103758
+	* g++.dg/cpp0x/constexpr-condition.C: Adjust dg-error.
+
+2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	Revert:
+	2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/103758
+	* g++.dg/cpp0x/constexpr-condition.C: Adjust dg-error.
+
+2022-01-17  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2022-01-03  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/103758
+	* g++.dg/cpp0x/constexpr-condition.C: Adjust dg-error.
+
 2022-01-16  Mikael Morin  <mikael@gcc.gnu.org>
 
 	Backported from master:

